/* DirectShow capture services (QCAP.DLL)
 *
 * Copyright 2005 Maarten Lankhorst
 *
 * This file contains the part of the vfw capture interface that
 * does the actual capturing stuff required for capturing
 * and setting/getting media format..
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Why on earth am I writing a copyright notice for a NULL renderer???
 */

#include "config.h"
#ifndef HAVE_LINUX_VIDEODEV_H

#define NONAMELESSSTRUCT
#define NONAMELESSUNION
#include "qcap_private.h"
#include "pin.h"
#include "wine/debug.h"

WINE_DEFAULT_DEBUG_CHANNEL(qcap);

HRESULT Capture_Initialise(void ** pointer, IPin *pOut, USHORT card)
{
   ERR("No DirectShow Video for Wine Capture support compiled\n");
   return E_FAIL;
}

HRESULT Capture_GetMediaType(void * pBox, AM_MEDIA_TYPE ** mT)
{
   return E_FAIL;
}

HRESULT Capture_SetMediaType(void * pBox, AM_MEDIA_TYPE * mT)
{
   return E_FAIL;
}

HRESULT Capture_GetPropRange(void * pBox, long Property, long *pMin, long *pMax, long *pSteppingDelta, long *pDefault, long *pCapsFlags)
{
   return E_FAIL;
}

HRESULT Capture_GetProp(void *pBox, long Property, long *lValue, long *Flags)
{
   return E_FAIL;
}

HRESULT Capture_SetProp(void *pBox, long Property, long lValue, long Flags)
{
   return E_FAIL;
}

HRESULT Capture_Run(void * pBox, FILTER_STATE *state)
{
   return E_FAIL;
}

HRESULT Capture_Stop(void * pBox, FILTER_STATE *state)
{
   return E_FAIL;
}

HRESULT Capture_Pause(void * pBox, FILTER_STATE *state)
{
   return E_FAIL;
}

HRESULT Capture_Destroy(void * pBox, BOOL destroyall)
{
   return E_FAIL;
}

#endif

